package com.slodon.b2b2c.vo.goods;

import com.slodon.b2b2c.system.pojo.SysSeo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 商城展示商品详情vo
 */
@Data
@NoArgsConstructor
public class SysSeoVO {

    @ApiModelProperty("seoTitle")
    private String seoTitle;
    @ApiModelProperty("seoDesc")
    private String seoDesc;
    @ApiModelProperty("seoKeywords")
    private String seoKeywords;

    public SysSeoVO(SysSeo seoInfo) {
        this.seoTitle = seoInfo.getTitle();
        this.seoDesc = seoInfo.getRemark();
        this.seoKeywords = seoInfo.getKeywords();
    }
}
